Skip to content
GET /unified/accounting/journal_entries

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

typestring

The type of the journal entry

Possible values:
ACCOUNTS_PAYABLEACCOUNTS_RECEIVABLEGENERALSTATISTICALaccounts_payableaccounts_receivablegeneral
7 supported2 required
Microsoft Dynamics 365 Business Central
required
accounts_receivableaccounts_payablegeneral
Oracle Netsuite
required
GENERALSTATISTICAL
Brightpearl
supported
FreeAgent
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
created_atstring · date-time

This represents the date when the journal entry was created

5 supported
Brightpearl
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
updated_atstring · date-time

This represents the date when the journal entry was updated

6 supported
Brightpearl
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Journal entries

idstring
required·

The unique identifier for journal entries

9 supported
Brightpearl
supported
ERPNext
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
companystring

The company the journal entry belongs to

References: CompanyInfo → id
5 supported
Brightpearl
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the journal entry was created

5 supported
Brightpearl
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
currencystring

The currency of the journal entry

3 supported
Brightpearl
supported
Oracle Netsuite
supported
QuickBooks
supported
exchange_ratenumber

The exchange rate of the journal entry

2 supported
Brightpearl
supported
Oracle Netsuite
supported
linesobject[]
4 supported
Brightpearl
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
13 properties
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

memostring

The private note of the journal entry

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Zoho Books
supported
paymentsobject[]

The payments of the journal entry

References: Payments → id
2 supported
Brightpearl
supported
Microsoft Dynamics 365 Business Central
supported
3 properties
contactobject

The contact of the payment

2 properties
idstring

The ID of the contact

typestring

The type of the contact. Can be customer or vendor.

Possible values:
customervendor
idstring

The unique identifier for payment

payment_forstring

What entity was the payment for. Can be invoice or bill.

Possible values:
invoicebill
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the journal entry

Possible values:
ACCOUNTS_RECEIVABLEACCOUNTS_PAYABLEGENERALSTATISTICAL
7 supported
Brightpearl
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
updated_atstring · date-time

This represents the date when the journal entry was updated

6 supported
Brightpearl
supported
FreeAgent
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
curl -X GET 'https://api.truto.one/unified/accounting/journal_entries?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/journal_entries?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/journal_entries"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'journalentries',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "journalentries",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())